ref_fasta="/mnt/LVM_38TB_2/WGS_UKBB_DNANEXUS_STR/GRCh38_full_analysis_set_plus_decoy_hla.fa"
region="chr19:45409038-45412650"
cram_directory="/mnt/LVM_38TB/UKBB/Bulk_1_test/test_batch_script"
output_directory="/mnt/LVM_38TB/UKBB/Bulk_1_test/test_batch_script_output/"
index_output_directory="/mnt/LVM_38TB/UKBB/Bulk_1_test/test_batch_script_output_index/"

for input_cram in "$cram_directory"/*.cram
do
  file_name=${input_cram##*/}
  file_name=${file_name%.cram}
  index_file="${index_output_directory}${file_name}.cram.crai"
  chr19_bam="${output_directory}${file_name}_chr19.bam"
  output_fastq="${output_directory}${file_name}_chr19.fq"
  output_fasta="${output_directory}${file_name}_APOE.fa"

  samtools index "$input_cram" "$index_file"
  samtools view -b -o "$chr19_bam" "$input_cram" -X "$index_file" "chr19"

  bcftools mpileup -f "$ref_fasta" "$chr19_bam" \
    | bcftools call -c \
    | vcfutils.pl vcf2fq > "$output_fastq"

  samtools faidx -o "$output_fasta" "$output_fastq" "$region"
  rm "$chr19_bam"
  rm "$output_fastq"
  rm ""$output_fastq".fai"
done


